#version 330 core

varying vec2 texCoord;
//varying vec4 vColor;
uniform sampler2D colorMap;

/*
void main (void)
{
	gl_FragColor = texture2D(colorMap, texCoord);
}
*/
//uniform mat4 depthMVP;

void main (void)
{
    /*
    float depth=gl_FragCoord.w;
    float x=depth*(65536*65536);
    float r=floor(x/(65536*256)); x=x-r*(65536*256);
    float g=floor(x/(256*256)); x=x-g*(256*256);
    float b=floor(x/(256)); x=x-b*(256);
    float a=x;
    float r1=r/256.0f;
    float g1=g/256.0f;
    float b1=b/256.0f;
    float a1=a/256.0f;

    gl_FragColor = vec4(r1,g1,b1,a1);
    */

    gl_FragColor = vec4(vec3(gl_FragCoord.w),1.0f);
}
